Bug 29198 - libcrypto dies on i386 with bswap instruction.
libcrypto dies on i386 with bswap instruction.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-24 12:16 EST by Norm Brake
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-24 12:17:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Norm Brake 2001-02-24 12:16:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i586)


Attempts to run ssh on my 386 died in shal_block_asm_data_order() in
libcrypto.so.0
with an illegal instruction of "bswap %eax".  This leads me to believe that
it wasn't
compiled with the -m386 option.

Reproducible: Always
Steps to Reproduce:
1. Use 386 hardware (not 486 or up)
2. ssh <somewhere>
3. observe crash.
	

Actual Results:  ssh got a SIGILL and exited

Expected Results:  ssh connection to remote machine
Comment 1 Nalin Dahyabhai 2001-02-27 22:11:58 EST
This'll be fixed in openssl-0.9.5a-26, coming soon to Raw Hide.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.